Inbox

Edit outbound inbox message

PATCH
/orgs/{organizationId}/inbox/messages/{id}

Updates the text and attachments of an outbound message on channels that support it. Website inbox messages are updated in Tillor only. Staff can edit their own messages with inbox:write; other staff messages require inbox:messages:manage-others; AI assistant messages require inbox:messages:edit-ai.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string
Length1 <= length

Request Body

application/json
  1. body
body?string
Lengthlength <= 4096
Default""
attachmentIds?array<>
translatedBody?string
Lengthlength <= 4096
sourceLocale?string
Length2 <= length <= 16
targetLocale?string
Length2 <= length <= 16

Response Body

OK

application/json
  1. response
curl -X PATCH 'https://api.tillor.eu/orgs/string/inbox/messages/string' \  -H 'Content-Type: application/json' \  -d '{}'
null